Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TimeCodeInfo

    java.lang.Object
      |
      +--quicktime.std.qtcomponents.TimeCodeInfo

public final class TimeCodeInfo
extends java.lang.Object

The TimeCodeInfo class represents time code as frame count or as HH:MM:SS:FF. If frame count is used in construction, then TimeCodeTime time will be null. If TimeCodeTime time is used in construction, then frame count will be 0. It is an information class.

Field Summary
`int` | `counter` Represents the total number of frames of the timecode.
`TimeCodeDef` | `definition` Used to indicate the timecode formatting information.
`int` | `frameNumber` Used to indicate the current frame number by the specified time and definition.
`TimeCodeTime` | `time` Represents time of the timecode as HH:MM:SS:FF.
`QTHandleRef` | `userData` Represents the timecode data.

Constructor Summary
`TimeCodeInfo()` Used when returning information from TimeCoder calls.
`TimeCodeInfo(int frameNumber, TimeCodeDef definition, int counter, QTHandleRef userData)` Creates a TimeCodeInfo object using frame count.
`TimeCodeInfo(int frameNumber, TimeCodeDef definition, TimeCodeTime time, QTHandleRef userData)` Creates a TimeCodeDef object which has no initial settings.

Method Summary
`java.lang.String` | `toString()` String representation of this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### frameNumber

    public int frameNumber

  Used to indicate the current frame number by the specified time and definition.

### definition

    public TimeCodeDef definition

  Used to indicate the timecode formatting information.

### time

    public TimeCodeTime time

  Represents time of the timecode as HH:MM:SS:FF.

### counter

    public int counter

  Represents the total number of frames of the timecode.

### userData

    public QTHandleRef userData

  Represents the timecode data.

Constructor Detail

### TimeCodeInfo

    public TimeCodeInfo()

  Used when returning information from TimeCoder calls.

### TimeCodeInfo

    public TimeCodeInfo(int frameNumber,
                        TimeCodeDef definition,
                        TimeCodeTime time,
                        QTHandleRef userData)

  Creates a TimeCodeDef object which has no initial settings. The counter instance variable is 0.
  Parameters:
    `frameNumber` - Current frame number.
    `definition` - Object with flags and other time code defining variables.
    `time` - TimeCode object using hours,minutes,seconds.
    `userData` - Handle to the data.

### TimeCodeInfo

    public TimeCodeInfo(int frameNumber,
                        TimeCodeDef definition,
                        int counter,
                        QTHandleRef userData)

  Creates a TimeCodeInfo object using frame count. The time nstance variable is null.
  Parameters:
    `frameNumber` - Current frame number.
    `definition` - Object with flags and other time code defining variables.
    `counter` - Number of frames
    `userData` - Handle to the data.

Method Detail

### toString

    public java.lang.String toString()

  String representation of this class.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD